View Issue Details

IDProjectCategoryView StatusLast Update
0001593SOGoSOPEpublic2012-07-25 11:41
Reporterbuzzdee Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.11 
Target Version1.3.17Fixed in Version1.3.17 
Summary0001593: Calling [NGDOMElement -setLine:] with incorrect signature. Method has v12@0:4I8, selector has v12@0:4i8 -- with patch
Description

The OGo and also sogo logs get spammed with those messages in the log file when linked against libobjc2.

attached patch fixes the issue

Additional Information

could this please be added with the next SOPE/SOGo release.

TagsNo tags attached.

Activities

2012-01-22 04:27

 

fix-warning-NGDOMElement.diff (328 bytes)   
$OpenBSD$
--- sope-xml/DOM/DOMElement.m.orig	Sat Jan 21 19:33:18 2012
+++ sope-xml/DOM/DOMElement.m	Sat Jan 21 19:33:33 2012
@@ -104,7 +104,7 @@ static NSNull *null = nil;
   return self->namespaceURI;
 }
 
-- (void)setLine:(NSUInteger)_line {
+- (void)setLine:(NSInteger)_line {
   self->line = _line;
 }
 - (NSUInteger)line {
ludovic

ludovic

2012-07-23 10:50

administrator   ~0004199

Fix applied: http://mtn.inverse.ca/revision/diff/cbd094f7768d84e8bef25c09fa754d85717b26fa/with/9fcf97eb10d5be9ee65cc8ce8bf5651e02b25534

Issue History

Date Modified Username Field Change
2012-01-22 04:27 buzzdee New Issue
2012-01-22 04:27 buzzdee File Added: fix-warning-NGDOMElement.diff
2012-07-23 10:50 ludovic Note Added: 0004199
2012-07-23 10:50 ludovic Status new => closed
2012-07-23 10:50 ludovic Resolution open => fixed
2012-07-23 10:50 ludovic Fixed in Version => 1.3.17
2012-07-25 11:41 francis Target Version => 1.3.17